List events
curl --request GET \
--url https://hooksnode.com/api/v1/projects/{projectId}/events \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hooksnode.com/api/v1/projects/{projectId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://hooksnode.com/api/v1/projects/{projectId}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://hooksnode.com/api/v1/projects/{projectId}/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"events": [
{
"id": 1042,
"received_at": "2026-09-24T10:15:02Z",
"method": "POST",
"endpoint": "/p/2mJ8kQ4vXw9aB3cD5eF7gH1iK0L",
"status": "delivered",
"payload": {
"event": "order.paid",
"order_id": "9311"
}
}
],
"total": 1,
"page": 1,
"page_size": 20
}{
"error": "<string>"
}{
"error": "<string>"
}Events
List events
List the events of a project, newest first.
GET
/
api
/
v1
/
projects
/
{projectId}
/
events
List events
curl --request GET \
--url https://hooksnode.com/api/v1/projects/{projectId}/events \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://hooksnode.com/api/v1/projects/{projectId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://hooksnode.com/api/v1/projects/{projectId}/events"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://hooksnode.com/api/v1/projects/{projectId}/events"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"events": [
{
"id": 1042,
"received_at": "2026-09-24T10:15:02Z",
"method": "POST",
"endpoint": "/p/2mJ8kQ4vXw9aB3cD5eF7gH1iK0L",
"status": "delivered",
"payload": {
"event": "order.paid",
"order_id": "9311"
}
}
],
"total": 1,
"page": 1,
"page_size": 20
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
A workspace API key. You can also send it in the X-API-Key header.
Path Parameters
Example:
"2mJ8kQ4vXw9aB3cD5eF7gH1iK0L"
Query Parameters
The page, from 1.
Required range:
x >= 1Events on each page, 1 to 100. A value out of range gives 20.
Required range:
1 <= x <= 100